# -*- coding: utf-8 -*-
# Copyright 2018, Red Hat, Inc.
# License: GPL-2.0+ <http://spdx.org/licenses/GPL-2.0+>
# See the LICENSE file for more details on Licensing

'''Unit tests for libtaskotron/image_utils.py'''

from libtaskotron.image_utils import devise_environment

class TestDeviseEnvironment:

    def setup_method(self, method):
        self.arg_data = {
            'item': 'htop-2.0.2-4.fc27',
            'type': 'koji_build',
            'arch': 'noarch',
        }

    def test_koji_build(self):
        env = devise_environment(self.arg_data)
        assert env['distro'] == 'fedora'
        assert env['release'] == '27'
        assert env['arch'] == None

    def test_koji_tag(self):
        self.arg_data = {
            'item': 'f27-updates-pending',
            'type': 'koji_tag',
            'arch': 'x86_64',
        }
        env = devise_environment(self.arg_data)
        assert env['distro'] == 'fedora'
        assert env['release'] == '27'
        assert env['arch'] == self.arg_data['arch']

    def test_unknown_distro(self):
        self.arg_data['item'] = 'htop-2.0.2-4.el7'
        env = devise_environment(self.arg_data)
        assert env['distro'] == None
        assert env['release'] == None
